Subject: Re: [GSoC] [PATCH v2 2/3] t9811: Remove the -q quiet mode from some instances of grep

From: Junio C Hamano <[email-masked]>
Date: Mon, 07 Apr 2025 22:11:12 +0000

Eric Sunshine <[email-masked]> writes:

> For such a simple change, it probably would be more common on this
> project to combine patches [2/3] (which drops `-q`) and [3/3] (which
> replaces `grep` with `test_grep`), and to simply explain as a
> side-note in the commit message of the combined patch why `-q` is
> being dropped.

True, and in this case, I'd say this is better done as a single
patch to go directly to "show-ref --verify" that loses an extra
external command per tag to kill three birds with a single patch.
(1) lose the problem of pipe hiding the status, (2) clearly say
what is expected to exist and not to exist, and (3) futureproof
the test so that new tags with similar names (e.g. earlier steps
may be updated to start creating tag T_TAG_F1_1, and grep would
happily report a partial match with TAG_F1_1) will not make the
verification invalid.

Thanks.